buildscript {
    dependencies {
        // SqlDelight
        classpath("com.squareup.sqldelight:gradle-plugin:1.5.4")
    }
}

plugins {
    //trick: for the same plugin versions in all sub-modules
    id("com.android.application").version("7.3.1").apply(false)
    id("com.android.library").version("7.3.1").apply(false)
    kotlin("android").version("1.7.20").apply(false)
    kotlin("multiplatform").version("1.7.20").apply(false)
    id("org.sonarqube").version("3.4.0.2513").apply(false)
    id("com.mikepenz.aboutlibraries.plugin").version("10.5.1").apply(false)
}

apply(plugin = "org.sonarqube")

allprojects {
    repositories {
        google()
        mavenCentral()
        jcenter()
        maven { url = uri("https://www.jitpack.io") }
    }
}


tasks.register("clean", Delete::class) {
    delete(rootProject.buildDir)
}
